<!DOCTYPE html>
<html>
  <head>
    <title>Hello Nirvati!</title>
    <style>
      html,
      body {
        margin: 0;
        padding: 0;
      }
      body {
        font-family: Arial, sans-serif;
        background-color: #f0f0f0;
        color: #333;
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        height: 100vh;
      }

      body.dark {
        background-color: #333;
        color: #f0f0f0;
      }
      
      h1 {
        margin-bottom: 0;
      }
    </style>
  </head>

  <body>
    <h1>Hello Nirvati!</h1>
    <p>This is a simple app that integrates into Nirvati's UI.</p>
    <a onclick="navigateToSubpath()">Navigate to /subpath/</a>
  </body>
  <script>
    window.onmessage = function (event) {
      if (event.data.action === 'colorMode') {
        document.body.className = event.data.data;
      }
    };
    
    function navigateToSubpath() {
      window.parent.postMessage({ action: 'navigate', data: '/subpath/' }, '*');
    }
    
  </script>
</html>
